'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRouteExplorer = void 0;
const send = require("koa-send");
const altair_static_1 = require("altair-static");
const createRouteExplorer = ({ router, url, opts, }) => {
    router.get(url, async (ctx, next) => {
        ctx.body = (0, altair_static_1.renderAltair)({ baseURL: ctx.url.replace(/\/?$/, '/'), ...opts });
        await next();
    });
    // Use the main favicon for my API subdomain.
    router.get(`${url}/favicon.ico`, ctx => {
        ctx.status = 301;
        ctx.redirect(`/favicon.ico`);
    });
    router.get(`${url}/:path+`, async (ctx) => {
        const path = ctx.params.path;
        await send(ctx, path || '', { root: (0, altair_static_1.getDistDirectory)() });
    });
};
exports.createRouteExplorer = createRouteExplorer;
//# sourceMappingURL=index.js.map